WPS8TextStyleInternal::Font Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Attributes | Friends | List of all members
WPS8TextStyleInternal::Font Struct Reference

Internal: class to store font properties. More...

Inheritance diagram for WPS8TextStyleInternal::Font:

## Public Member Functions
| Font ()
| constructor More...
WPS8TextStyle::FontData & | special ()
| return the auxilliary data More...
WPS8TextStyle::FontData const & | special () const
| return the auxilliary data More...
Public Member Functions inherited from WPSFont
| WPSFont ()
| constructor More...
virtual | ~WPSFont ()
| destructor More...
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList More...
bool | isSet () const
| accessor More...
bool | operator== (WPSFont const &ft) const
| operator== More...
bool | operator!= (WPSFont const &ft) const
| operator!= More...

## Static Public Member Functions
static Font | def ()
Static Public Member Functions inherited from WPSFont
static WPSFont | getDefault ()
| returns the default font ( Courier 12pt) More...

## Protected Attributes
WPS8TextStyle::FontData | m_special
| the auxialliary data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Font const &ft)
| operator<< More...

## Additional Inherited Members
Public Attributes inherited from WPSFont
std::string | m_name
| font name More...
double | m_size
| font size More...
uint32_t | m_attributes
| the font attributes defined as a set of bits More...
double | m_spacing
| font spacing More...
WPSColor | m_color
| the font color More...
int | m_languageId
| the language (simplified locale name id) if known More...
std::string | m_extra
| public field use to add a message when the font is printed More...

## Detailed Description

Internal: class to store font properties.

## Constructor & Destructor Documentation

WPS8TextStyleInternal::Font::Font | ( |  | ) |
| inline

constructor

## Member Function Documentation

static Font WPS8TextStyleInternal::Font::def | ( |  | ) |
| inlinestatic

Referenced by WPS8TextStyle::readFont().

WPS8TextStyle::FontData& WPS8TextStyleInternal::Font::special | ( |  | ) |
| inline

return the auxilliary data

Referenced by WPS8TextStyle::readFont(), and WPS8TextStyle::sendFont().

WPS8TextStyle::FontData const& WPS8TextStyleInternal::Font::special | ( |  | ) | const
| inline

return the auxilliary data

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Font const & | ft
| ) |  |
| friend

operator<<

## Member Data Documentation

WPS8TextStyle::FontData WPS8TextStyleInternal::Font::m_special
| protected

the auxialliary data

Referenced by WPS8TextStyleInternal::operator<<(), and special().

The documentation for this struct was generated from the following file:

- WPS8TextStyle.cpp